package opc.ua.services.common;

import java.util.Date;

import opc.ua.addressspace.datatype.NodeId;

public class AggregateFilter {

	private Date startTime;
	private NodeId aggregateType;
	/** Duration */
	private long processingInterval;
	private AggregateConfiguration aggregateConfiguration;
	
	private class AggregateConfiguration {
		private boolean useSeverCapabilitiesDefaults;
		private boolean treatUncertainAsBad;
		private byte percentDataBad;
		private byte percentDataGood;
		private boolean steppedSlopedExtrapolation;
	}


	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public NodeId getAggregateType() {
		return aggregateType;
	}

	public void setAggregateType(NodeId aggregateType) {
		this.aggregateType = aggregateType;
	}

	public long getProcessingInterval() {
		return processingInterval;
	}

	public void setProcessingInterval(long processingInterval) {
		this.processingInterval = processingInterval;
	}

	public AggregateConfiguration getAggregateConfiguration() {
		return aggregateConfiguration;
	}

	public void setAggregateConfiguration(
			AggregateConfiguration aggregateConfiguration) {
		this.aggregateConfiguration = aggregateConfiguration;
	}
	
}
